Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 262 - insmod broken?
Summary: insmod broken?
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: modutils
Version: 5.2
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: David Lawrence
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1998-12-02 15:31 UTC by ian.clark
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1998-12-21 19:26:05 UTC


Attachments (Terms of Use)

Description ian.clark 1998-12-02 15:31:17 UTC
Insmod doesn't work, however insmod.static does, obviously
a lib problem somewhere?

Ian

Comment 1 David Lawrence 1998-12-02 18:30:59 UTC
Could you be more descriptive as to where this bug is occuring? Are
you trying it during the install or after? Also what is the error
message that you are getting when it fails?

Comment 2 ian.clark 1998-12-07 11:40:59 UTC
when running /sbin/insmod <module> the response is
rmmod: module <module> not loaded.

After checking the man page i tried with the -v option for verbose.

ie /sbin/insmod -v <module>
and the response was

/sbin/insmod :invalid option --v
Usage: rmmod [-a] [-s] Module

However /sbin/insmod.static works fine.

This is also strange because have the complete redhat 5.2 installed
on 2 machines one PII and its fine on there, but the 486DX4-120
is where the probem is?

If you need any more details please email me

Ian

Comment 3 Jay Turner 1998-12-09 16:34:59 UTC
Judging from the detail that you gave, you are typing the command
insmod and getting the usage messages for rmmod (the couterpart of
insmod)  If you are indeed getting the usage messages for rmmod when
you are typing the insmod command, then you might want to consider
reinstalling the machine as it sounds like you have some links that
should not be there, or that there has been some mucking of the file
system.


Note You need to log in before you can comment on or make changes to this bug.